> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete a variant by ID > Deprecated, as it could not handle special characters for variantId in path. Will be removed soon. Use DELETE /variants?variantId={variantId} instead. ## OpenAPI ````json DELETE /api/product-catalog/v1/catalogs/{catalogId}/variants/{variantId} { "openapi": "3.0.1", "info": { "title": "Product Catalog - Public API", "version": "1.0.3" }, "servers": [ { "url": "https://api.mapp.com" } ], "security": [ { "Keycloak": [] } ], "tags": [ { "name": "Variant Data Bulk Operations", "description": "Endpoints for variant data bulk operations" }, { "name": "Variant Data Operations", "description": "Endpoints for variant data operations" }, { "name": "Catalog Metadata Operations", "description": "Endpoints for catalog metadata operations" }, { "name": "Product Data Operations", "description": "Endpoints for product data operations" } ], "paths": { "/api/product-catalog/v1/catalogs/{catalogId}/variants/{variantId}": { "delete": { "tags": [ "Variant Data Operations" ], "summary": "Delete a variant by ID", "description": "Deprecated, as it could not handle special characters for variantId in path. Will be removed soon. Use DELETE /variants?variantId={variantId} instead.", "operationId": "deleteVariantByPath", "parameters": [ { "name": "catalogId", "in": "path", "description": "Catalog identifier containing the variant to delete.", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "variantId", "in": "path", "description": "Variant identifier. If it contains special characters, clients must URL-encode the query parameter value.", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "*/*": { "schema": { "type": "object" } } } } }, "deprecated": true } } }, "components": { "securitySchemes": { "Keycloak": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } } } ````